#!/bin/sh

if test $# -lt 1; then
  echo " "
  echo "Usage: `basename ${0}` [browser] HTML"
  echo "\truns browser using HTML."
  echo " "
  exit 1
fi

if test "$2" = ""; then
  BROWSER=ff
  HTML=$1
else
  BROWSER=$1
  HTML=$2
fi

CYPATH=""
CWD=""
if test -x /bin/cygpath; then
  CYPATH=`cygpath --windows $PWD`
fi
if test "$BROWSER" = "ff" -o "$BROWSER" = "firefox"; then
  if test CYPATH=""; then
    PRE="/usr/bin/firefox file://"
    CWD=$PWD/
  else
    PRE='C:/Program\ Files*/Mozilla\ Firefox/firefox file://'
    CWD=$CYPATH
  fi
elif test "$BROWSER" = "appletviewer"; then
  PRE="appletviewer "
  CWD=""
elif test "$BROWSER" = "jdb"; then
  PRE="jdb sun.applet.AppletViewer "
  CWD=""
elif test "$BROWSER" = "mozilla"; then
  PRE="/usr/sfw/bin/mozilla file://"
  CWD=$CYPATH
elif test "$BROWSER" = "netscape"; then
  PRE='C:/Program\ Files*/Netscape/Netscape/Netscp file://'
  CWD=$CYPATH
elif test "$BROWSER" = "ie"; then
  PRE='C:/Program\ Files/Internet\ Explorer/iexplore file://'
  CWD=$CYPATH
elif test "$BROWSER" = "chrome"; then
  if test CYPATH=""; then
    PRE="/usr/bin/chrome file://"
    CWD=$PWD/
  else
          PRE='C:/Program\ Files*/Google/Chrome/Application/chrome file://'
    CWD=$CYPATH
        fi
elif test "$BROWSER" = "safari"; then
  PRE='C:/Program\ Files*/Safari/Safari file://'
  CWD=$CYPATH
else
  echo "browser $BROWSER unknown"
fi

echo "${PRE}${CWD}${HTML}"
${PRE}${CWD}${HTML}
