package com.sillycycle.bagleyd.util;

/*
 * Similar to CheckboxGroup but allow more than one on and have one label.
 * Beginnings from Core Web Programming 1st Ed. by Marty Hall and Larry Brown
 * http://www.apl.jhu.edu/~hall/CWP-Chapter13/CWP-Chapter13.4.html
 */

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingConstants;

/**
 * The <code>TrafficLight</code> class combines an array of TrafficLights in one widget.
 *
 * @author David Bagley
 */

public class TrafficLight extends JPanel {
	private static final long serialVersionUID = 42L;
	JPanel boxPanel;
	RoundButton[] button;
	//JLabel label;
	//String string;
	int min;
	boolean reverse = false;
	boolean horizontal = true;

	public TrafficLight(String[] strings, char[] chars, Color[] colors) {
		int i;

		//super("TrafficLight");
		//setFont(new Font("Helvetica", Font.BOLD, 18));
		setLayout(new BorderLayout());
		//string = "  " + labelString;
		min = chars.length - 1;
		if (min < colors.length - 1)
			min = colors.length - 1;
		boxPanel = new JPanel();
		if (horizontal)
			//boxPanel.setLayout(new GridLayout(1, min + 1));
			setLayout(new FlowLayout(FlowLayout.LEFT, 3, 3));
		else
			//boxPanel.setLayout(new GridLayout(min + 1, 1));
			setLayout(new ColumnLayout(0, 0, 0, ColumnLayout.LEFT));
		button = new RoundButton[min + 1];
		for (i = ((reverse) ? min : 0);
				((reverse) ? (i >= 0) : (i <= min));
				i += ((reverse) ? (-1) : 1)) {
			JPanel buttonPanel = new JPanel();
			JLabel label = new JLabel(strings[i],
				SwingConstants.CENTER);

			buttonPanel.setLayout(new BorderLayout());
			button[i] = new RoundButton(Character.toString(chars[i]));
			button[i].setBackground(colors[i]);
			buttonPanel.add(label, BorderLayout.PAGE_START);
			buttonPanel.add(button[i], BorderLayout.CENTER);
			boxPanel.add(buttonPanel);
		}
		add(boxPanel);
		//pack();
		//show();

		ActionListener pressListener = new PressListener();
		for (i = 0; i <= min; i++) {
			button[i].addActionListener(pressListener);
		}
	}

	static class PressListener implements ActionListener {
		@Override
		public void actionPerformed(ActionEvent event) {
			//lastChar = event.getActionCommand().charAt(0);
		}
	}

	public void addActionListener(ActionListener l) {
		for (int i = 0; i <= min; i++) {
			button[i].addActionListener(l);
		}
	}
}
